<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
		let vector=new Array(10), vector_inv=new Array(10);

		for (i=0;i<=9;i++) {

			vector[i]=Number(prompt("Introduce un dato"));
			vector_inv[vector.length-i]=vector[i];

		}

		//versión corta. reverse() invierte el array 
		//vector_inv=vector.reverse();
		
		document.write(vector+"<br>");


		document.write(vector_inv+"<br>");

	</script>
</head>
<body>
	
</body>
</html>